GET v2/NFL/season/team/achievements/{season}/{franchise}
Returns team season achievements for the specified season and franchise.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| season | integer |
Required |
|
| franchise | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
TeamSeasonAchievementsResponse
TeamSeasonAchievementsResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| content | TeamSeasonAchievementsContentDto |
None. |
|
| meta | ResponseMeta |
None. |
Response Formats
application/json, text/json
Sample:
{
"content": {
"season": 1,
"achievements": [
{
"team_id": 1,
"team_abbr": "sample string 2",
"team_name": "sample string 3",
"achievement_type": "sample string 4",
"achievement_description": "sample string 5"
},
{
"team_id": 1,
"team_abbr": "sample string 2",
"team_name": "sample string 3",
"achievement_type": "sample string 4",
"achievement_description": "sample string 5"
}
]
},
"meta": {
"timestamp": "2026-08-02T04:07:19.9177684+00:00",
"totalRecords": 1,
"limit": 2,
"offset": 3,
"lastUpdated": "2026-08-02T04:07:19.9177684+00:00"
}
}
application/xml, text/xml
Sample:
<TeamSeasonAchievementsResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Elias.Data.NFL.Reponses">
<meta xmlns:d2p1="http://schemas.datacontract.org/2004/07/Elias.Models.Global">
<d2p1:lastUpdated>2026-08-02T04:07:19.9177684+00:00</d2p1:lastUpdated>
<d2p1:limit>2</d2p1:limit>
<d2p1:offset>3</d2p1:offset>
<d2p1:totalRecords>1</d2p1:totalRecords>
</meta>
<content xmlns:d2p1="http://schemas.datacontract.org/2004/07/Elias.Data.NFL.Dto">
<d2p1:achievements>
<d2p1:TeamSeasonAchievementDto>
<d2p1:achievement_description>sample string 5</d2p1:achievement_description>
<d2p1:achievement_type>sample string 4</d2p1:achievement_type>
<d2p1:team_abbr>sample string 2</d2p1:team_abbr>
<d2p1:team_id>1</d2p1:team_id>
<d2p1:team_name>sample string 3</d2p1:team_name>
</d2p1:TeamSeasonAchievementDto>
<d2p1:TeamSeasonAchievementDto>
<d2p1:achievement_description>sample string 5</d2p1:achievement_description>
<d2p1:achievement_type>sample string 4</d2p1:achievement_type>
<d2p1:team_abbr>sample string 2</d2p1:team_abbr>
<d2p1:team_id>1</d2p1:team_id>
<d2p1:team_name>sample string 3</d2p1:team_name>
</d2p1:TeamSeasonAchievementDto>
</d2p1:achievements>
<d2p1:season>1</d2p1:season>
</content>
</TeamSeasonAchievementsResponse>